#!/bin/sh -e

PROGNAME="freetype"
SRCDIR="${PWD}"
OBJDIR="${PWD}/obj"
INSDIR="${PWD}/ins"
TARGET="arm-linux"

export BUILD_CC="gcc"
export CC="${TARGET}-gcc"
export CFLAGS="-Os"
export CXX="${TARGET}-g++"
export F77="${TARGET}-g77"
export AS="${TARGET}-as"
export LD="${TARGET}-ld"
export AR="${TARGET}-ar"
export NM="${TARGET}-nm"
export RANLIB="${TARGET}-ranlib"

mkdir -p "${OBJDIR}"
cd "${OBJDIR}"

echo "**** Configuring ${PROGNAME}..."
"${SRCDIR}/configure"	\
  --build="i686-linux"	\
  --host="${TARGET}"	\
  --target="${TARGET}"	\
  --prefix=""

echo "**** Building ${PROGNAME}..."
make

echo "**** Installing ${PROGNAME}..."
make DESTDIR="${INSDIR}" install

echo "**** Successfully built & installed ${PROGNAME}:"
ls -l "${INSDIR}/lib"

# EOF
